net.minecraft.client.gui

## Class Gui

- java.lang.Object
- - net.minecraft.client.gui.Gui

- Direct Known Subclasses:
    GuiAchievement, GuiButton, GuiIngame, GuiLabel, GuiNewChat, GuiScreen, GuiTextField

      public class Gui
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ResourceLocation` | `icons`
    `static ResourceLocation` | `optionsBackground`
    `static ResourceLocation` | `statIcons`
    `protected float` | `zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Gui()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawCenteredString(FontRenderer par1FontRenderer, java.lang.String par2Str, int par3, int par4, int par5)`
    `protected void` | `drawGradientRect(int par1, int par2, int par3, int par4, int par5, int par6)`
    `protected void` | `drawHorizontalLine(int par1, int par2, int par3, int par4)`
    `static void` | `drawRect(int par0, int par1, int par2, int par3, int par4)`
    `void` | `drawString(FontRenderer par1FontRenderer, java.lang.String par2Str, int par3, int par4, int par5)`
    `void` | `drawTexturedModalRect(int par1, int par2, int par3, int par4, int par5, int par6)`
    `void` | `drawTexturedModelRectFromIcon(int par1, int par2, IIcon par3Icon, int par4, int par5)`
    `protected void` | `drawVerticalLine(int par1, int par2, int par3, int par4)`
    `static void` | `func_146110_a(int p_146110_0_, int p_146110_1_, float p_146110_2_, float p_146110_3_, int p_146110_4_, int p_146110_5_, float p_146110_6_, float p_146110_7_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### optionsBackground

          public static final ResourceLocation optionsBackground

    - #### statIcons

          public static final ResourceLocation statIcons

    - #### icons

          public static final ResourceLocation icons

    - #### zLevel

          protected float zLevel

  - ### Constructor Detail

    - #### Gui

          public Gui()

  - ### Method Detail

    - #### drawHorizontalLine

          protected void drawHorizontalLine(int par1,
                                int par2,
                                int par3,
                                int par4)

    - #### drawVerticalLine

          protected void drawVerticalLine(int par1,
                              int par2,
                              int par3,
                              int par4)

    - #### drawRect

          public static void drawRect(int par0,
                      int par1,
                      int par2,
                      int par3,
                      int par4)

    - #### drawGradientRect

          protected void drawGradientRect(int par1,
                              int par2,
                              int par3,
                              int par4,
                              int par5,
                              int par6)

    - #### drawCenteredString

          public void drawCenteredString(FontRenderer par1FontRenderer,
                                java.lang.String par2Str,
                                int par3,
                                int par4,
                                int par5)

    - #### drawString

          public void drawString(FontRenderer par1FontRenderer,
                        java.lang.String par2Str,
                        int par3,
                        int par4,
                        int par5)

    - #### drawTexturedModalRect

          public void drawTexturedModalRect(int par1,
                                   int par2,
                                   int par3,
                                   int par4,
                                   int par5,
                                   int par6)

    - #### drawTexturedModelRectFromIcon

          public void drawTexturedModelRectFromIcon(int par1,
                                           int par2,
                                           IIcon par3Icon,
                                           int par4,
                                           int par5)

    - #### func_146110_a

          public static void func_146110_a(int p_146110_0_,
                           int p_146110_1_,
                           float p_146110_2_,
                           float p_146110_3_,
                           int p_146110_4_,
                           int p_146110_5_,
                           float p_146110_6_,
                           float p_146110_7_)